Summary: Tools for managing the osinfo database
Name: osinfo-db-tools
Version: 1.10.0
Release: 5%{?dist}
License: GPLv2+
URL: http://libosinfo.org/
Source0: https://releases.pagure.org/libosinfo/%{name}-%{version}.tar.xz

BuildRequires: meson gcc
BuildRequires: git
BuildRequires: gettext-devel /usr/bin/pod2man
BuildRequires: glib2-devel json-glib-devel
BuildRequires: libxml2-devel >= 2.6.0 libxslt-devel >= 1.0.0
BuildRequires: libarchive-devel libsoup-devel
BuildRequires: python3 python3-pytest python3-requests

%description
osinfo-db-tools provide a set of tools for managing the osinfo database of information 
about operating systems for use with virtualization.

%prep
%autosetup -S git

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name}

%check
%meson_test

%files -f %{name}.lang
%license COPYING
%doc NEWS README
%{_bindir}/osinfo-db-export
%{_bindir}/osinfo-db-import
%{_bindir}/osinfo-db-path
%{_bindir}/osinfo-db-validate
%{_mandir}/man1/osinfo-db-export.1*
%{_mandir}/man1/osinfo-db-import.1*
%{_mandir}/man1/osinfo-db-path.1*
%{_mandir}/man1/osinfo-db-validate.1*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.10.0-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.10.0-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.10.0-3
- Rebuilt for OpenCloudOS Stream 23

* Tue Feb 7 2023 Wang Guodong <gordonwwang@tencent.com> - 1.10.0-2
- update source.

* Wed Nov 16 2022 Wang Guodong <gordonwwang@tencent.com> - 1.10.0-1
- package init.
